Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ApplicationRuntimeMBean

public interface ApplicationRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ACTIVATED` State indicating at least one module of this application is currently active.
`static int` | `PREPARED` State indicating at least one module of this application is prepared, but none are active.
`static int` | `UNPREPARED` State indicating at none of the modules of this application are currently prepared or active.

Method Summary
`java.lang.String` | `getApplicationName()` Return the application's name.
`ComponentRuntimeMBean[]` | `lookupComponents()` The ComponentRuntimeMBean's contained in this application

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### UNPREPARED

    public static final int UNPREPARED

  State indicating at none of the modules of this application are currently prepared or active.

### PREPARED

    public static final int PREPARED

  State indicating at least one module of this application is prepared, but none are active.

### ACTIVATED

    public static final int ACTIVATED

  State indicating at least one module of this application is currently active.

Method Detail

### getApplicationName

    public java.lang.String getApplicationName()

  Return the application's name.

  Returns:
    The applicationName value

### lookupComponents

    public ComponentRuntimeMBean[] lookupComponents()

  The ComponentRuntimeMBean's contained in this application

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD